<?php
$dir = __DIR__ . '/../area/Paramount/Testprojekt/ads';
$rootPath = realpath($dir);
if (is_dir($dir) && is_readable($dir)) {
    $files = scandir($dir);
    echo json_encode([
        'success' => true,
        'files' => $files,
        'rootPath' => $rootPath
    ]);
} else {
    echo json_encode([
        'success' => false,
        'error' => 'Ordner nicht vorhanden oder keine Leserechte',
        'rootPath' => $rootPath
    ]);
}